#include "stdafx.h"
#include "SimulationParametersDTO.h"

void SimulationParametersDTO::setContinousSimulation(bool continuous)
{
	_continuous = continuous;
}

void SimulationParametersDTO::setNumberOfSimulations(int numberOfSimulations)
{
	_numberOfSimulations = numberOfSimulations;
}

void SimulationParametersDTO::setTimeOfEachSimulation(double timeOfEachSimulation)
{
	_timeOfEachSimulation = timeOfEachSimulation;
}

void SimulationParametersDTO::setAverageTimeOfArrivals(double avgTimeOfArrivals)
{
	_avgTimeOfArrivals = avgTimeOfArrivals;
}

double SimulationParametersDTO::getTimeOfEachSimulation()
{
	return _timeOfEachSimulation;
}

bool SimulationParametersDTO::isContinousSimulation()
{
	return _continuous;
}

double SimulationParametersDTO::getAverageTimeOfArrivals()
{
	return _avgTimeOfArrivals;
}

int SimulationParametersDTO::getNumberOfSimulations()
{
	return _numberOfSimulations;
}
